Bug 195509 - [WHLSL] Hook up the compiler to our WebGPU implementation
Summary: [WHLSL] Hook up the compiler to our WebGPU implementation
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Myles C. Maxfield
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-03-08 20:04 PST by Myles C. Maxfield
Modified: 2019-03-18 14:31 PDT (History)
12 users (show)

See Also:


Attachments
WIP (39.67 KB, patch)
2019-03-08 20:05 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Test case (1.39 KB, text/html)
2019-03-08 20:05 PST, Myles C. Maxfield
no flags Details
Test case (1.76 KB, text/html)
2019-03-11 17:25 PDT, Myles C. Maxfield
no flags Details
WIP (43.58 KB, patch)
2019-03-11 20:03 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Test case (1.75 KB, text/html)
2019-03-11 23:47 PDT, Myles C. Maxfield
no flags Details
WIP (44.24 KB, patch)
2019-03-11 23:48 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Test case (2.40 KB, text/html)
2019-03-12 11:18 PDT, Myles C. Maxfield
no flags Details
WIP (48.51 KB, patch)
2019-03-12 11:20 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
WIP (63.72 KB, patch)
2019-03-12 18:57 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Test case (2.39 KB, text/html)
2019-03-12 22:45 PDT, Myles C. Maxfield
no flags Details
WIP (94.73 KB, patch)
2019-03-13 02:13 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
WIP (110.70 KB, patch)
2019-03-13 16:02 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews122 for ios-simulator-wk2 (7.34 MB, application/zip)
2019-03-13 18:34 PDT, Build Bot
no flags Details
WIP (117.21 KB, patch)
2019-03-13 19:57 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews105 for mac-highsierra-wk2 (2.71 MB, application/zip)
2019-03-13 21:32 PDT, Build Bot
no flags Details
WIP (139.64 KB, patch)
2019-03-14 00:03 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews104 for mac-highsierra-wk2 (2.88 MB, application/zip)
2019-03-14 01:35 PDT, Build Bot
no flags Details
Simpler test case (2.18 KB, text/html)
2019-03-14 18:15 PDT, Myles C. Maxfield
no flags Details
WIP (166.82 KB, patch)
2019-03-14 18:20 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
WIP (166.54 KB, patch)
2019-03-14 19:29 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
WIP (175.70 KB, patch)
2019-03-15 00:00 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
WIP (176.24 KB, patch)
2019-03-15 00:09 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (204.17 KB, patch)
2019-03-15 13:19 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Myles C. Maxfield 2019-03-08 20:04:49 PST
[WHLSL] Hook up the compiler to our WebGPU implementation
Comment 1 Myles C. Maxfield 2019-03-08 20:05:10 PST
Created attachment 364108 [details]
WIP
Comment 2 Myles C. Maxfield 2019-03-08 20:05:40 PST
Created attachment 364109 [details]
Test case
Comment 3 Build Bot 2019-03-08 20:06:41 PST
Attachment 364108 [details] did not pass style-queue:


ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 1 in 16 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Myles C. Maxfield 2019-03-11 17:25:35 PDT
Created attachment 364318 [details]
Test case
Comment 5 Myles C. Maxfield 2019-03-11 20:03:20 PDT
Created attachment 364338 [details]
WIP
Comment 6 Build Bot 2019-03-11 20:06:27 PDT
Attachment 364338 [details] did not pass style-queue:


ERROR: Source/WTF/wtf/Expected.h:346:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WTF/wtf/Expected.h:348:  Use 'WTFMove()' instead of 'std::move()'.  [runtime/wtf_move] [4]
ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 3 in 19 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 Myles C. Maxfield 2019-03-11 23:47:24 PDT
Created attachment 364359 [details]
Test case
Comment 8 Myles C. Maxfield 2019-03-11 23:48:25 PDT
Created attachment 364360 [details]
WIP
Comment 9 Build Bot 2019-03-11 23:50:30 PDT
Attachment 364360 [details] did not pass style-queue:


ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 1 in 19 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 10 Myles C. Maxfield 2019-03-12 11:18:54 PDT
Created attachment 364414 [details]
Test case
Comment 11 Myles C. Maxfield 2019-03-12 11:20:59 PDT
Created attachment 364416 [details]
WIP
Comment 12 Build Bot 2019-03-12 11:22:18 PDT
Attachment 364416 [details] did not pass style-queue:


ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 1 in 21 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 13 Myles C. Maxfield 2019-03-12 18:57:42 PDT
Created attachment 364494 [details]
WIP
Comment 14 Myles C. Maxfield 2019-03-12 22:45:24 PDT
Created attachment 364514 [details]
Test case
Comment 15 Myles C. Maxfield 2019-03-13 02:13:16 PDT
Created attachment 364520 [details]
WIP
Comment 16 Build Bot 2019-03-13 02:15:41 PDT
Attachment 364520 [details] did not pass style-queue:


ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:53:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:54:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:55:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:56:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:57:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:58:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:59:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:60:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:61:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:62:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:63:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:64:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:65:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:66:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:67:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:68:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:69:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:70:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:71:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:72:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:73:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:74:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:75:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:76:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:77:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:78:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:79:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:80:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:81:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:82:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:83:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:84:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:85:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:86:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:87:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:88:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:89:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:90:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:91:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:92:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:93:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:94:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:95:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:96:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLResolvingType.h:34:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 46 in 39 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 17 Myles C. Maxfield 2019-03-13 16:02:20 PDT
Created attachment 364588 [details]
WIP
Comment 18 Build Bot 2019-03-13 16:03:37 PDT
Attachment 364588 [details] did not pass style-queue:


ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:53:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:54:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:55:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:56:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:57:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:58:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:59:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:60:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:61:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:62:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:63:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:64:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:65:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:66:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:67:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:68:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:69:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:70:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:71:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:72:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:73:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:74:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:75:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:76:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:77:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:78:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:79:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:80:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:81:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:82:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:83:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:84:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:85:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:86:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:87:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:88:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:89:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:90:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:91:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:92:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:93:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:94:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:95:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPipelineDescriptor.h:96:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLResolvingType.h:34:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 46 in 46 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 19 Build Bot 2019-03-13 18:34:21 PDT
Comment on attachment 364588 [details]
WIP

Attachment 364588 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/11496025

New failing tests:
imported/w3c/web-platform-tests/webrtc/simplecall.https.html
Comment 20 Build Bot 2019-03-13 18:34:23 PDT
Created attachment 364604 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 21 Myles C. Maxfield 2019-03-13 19:57:53 PDT
Created attachment 364614 [details]
WIP
Comment 22 Build Bot 2019-03-13 21:32:09 PDT
Comment on attachment 364614 [details]
WIP

Attachment 364614 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/11500250

New failing tests:
webgpu/whlsl.html
Comment 23 Build Bot 2019-03-13 21:32:11 PDT
Created attachment 364631 [details]
Archive of layout-test-results from ews105 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 24 Myles C. Maxfield 2019-03-14 00:03:17 PDT
Created attachment 364638 [details]
WIP
Comment 25 Build Bot 2019-03-14 00:06:01 PDT
Attachment 364638 [details] did not pass style-queue:


ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPrepare.cpp:86:  Should have a space between // and comment  [whitespace/comments] [4]
Total errors found: 1 in 51 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 26 Build Bot 2019-03-14 01:35:05 PDT
Comment on attachment 364638 [details]
WIP

Attachment 364638 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/11501967

New failing tests:
webgpu/whlsl.html
Comment 27 Build Bot 2019-03-14 01:35:07 PDT
Created attachment 364643 [details]
Archive of layout-test-results from ews104 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 28 Myles C. Maxfield 2019-03-14 18:15:59 PDT
Created attachment 364745 [details]
Simpler test case
Comment 29 Myles C. Maxfield 2019-03-14 18:20:35 PDT
Created attachment 364746 [details]
WIP
Comment 30 Build Bot 2019-03-14 18:22:02 PDT
Attachment 364746 [details] did not pass style-queue:


ERROR: Source/WebCore/Modules/webgpu/WHLSL/Metal/WHLSLFunctionWriter.cpp:449:  Should have a space between // and comment  [whitespace/comments] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/Metal/WHLSLFunctionWriter.cpp:456:  Should have a space between // and comment  [whitespace/comments] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/Metal/WHLSLFunctionWriter.cpp:462:  Should have a space between // and comment  [whitespace/comments] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPrepare.cpp:86:  Should have a space between // and comment  [whitespace/comments] [4]
Total errors found: 4 in 52 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 31 Myles C. Maxfield 2019-03-14 19:29:47 PDT
Created attachment 364755 [details]
WIP
Comment 32 Build Bot 2019-03-14 19:31:50 PDT
Attachment 364755 [details] did not pass style-queue:


ERROR: Source/WebCore/Modules/webgpu/WHLSL/Metal/WHLSLFunctionWriter.cpp:449:  Should have a space between // and comment  [whitespace/comments] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/Metal/WHLSLFunctionWriter.cpp:456:  Should have a space between // and comment  [whitespace/comments] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/Metal/WHLSLFunctionWriter.cpp:462:  Should have a space between // and comment  [whitespace/comments] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPrepare.cpp:86:  Should have a space between // and comment  [whitespace/comments] [4]
ERROR: Source/WebCore/platform/graphics/gpu/cocoa/GPURenderPipelineMetal.mm:267:  Should have a space between // and comment  [whitespace/comments] [4]
Total errors found: 5 in 52 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 33 Myles C. Maxfield 2019-03-15 00:00:31 PDT
Created attachment 364779 [details]
WIP
Comment 34 Build Bot 2019-03-15 00:04:04 PDT
Attachment 364779 [details] did not pass style-queue:


ERROR: Source/WebCore/Modules/webgpu/WHLSL/Metal/WHLSLFunctionWriter.cpp:449:  Should have a space between // and comment  [whitespace/comments] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/Metal/WHLSLFunctionWriter.cpp:456:  Should have a space between // and comment  [whitespace/comments] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/Metal/WHLSLFunctionWriter.cpp:462:  Should have a space between // and comment  [whitespace/comments] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPrepare.cpp:86:  Should have a space between // and comment  [whitespace/comments] [4]
ERROR: Source/WebCore/platform/graphics/gpu/cocoa/GPURenderPipelineMetal.mm:267:  Should have a space between // and comment  [whitespace/comments] [4]
Total errors found: 5 in 55 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 35 Myles C. Maxfield 2019-03-15 00:09:23 PDT
Created attachment 364780 [details]
WIP
Comment 36 Build Bot 2019-03-15 00:10:53 PDT
Attachment 364780 [details] did not pass style-queue:


ERROR: Source/WebCore/Modules/webgpu/WHLSL/Metal/WHLSLFunctionWriter.cpp:449:  Should have a space between // and comment  [whitespace/comments] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/Metal/WHLSLFunctionWriter.cpp:456:  Should have a space between // and comment  [whitespace/comments] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/Metal/WHLSLFunctionWriter.cpp:462:  Should have a space between // and comment  [whitespace/comments] [4]
ERROR: Source/WebCore/Modules/webgpu/WHLSL/WHLSLPrepare.cpp:86:  Should have a space between // and comment  [whitespace/comments] [4]
ERROR: Source/WebCore/platform/graphics/gpu/cocoa/GPURenderPipelineMetal.mm:267:  Should have a space between // and comment  [whitespace/comments] [4]
Total errors found: 5 in 56 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 37 Myles C. Maxfield 2019-03-15 13:19:59 PDT
Created attachment 364828 [details]
Patch
Comment 38 WebKit Commit Bot 2019-03-18 12:23:48 PDT
Comment on attachment 364828 [details]
Patch

Clearing flags on attachment: 364828

Committed r243091: <https://trac.webkit.org/changeset/243091>
Comment 39 WebKit Commit Bot 2019-03-18 12:23:51 PDT
All reviewed patches have been landed.  Closing bug.
Comment 40 Radar WebKit Bug Importer 2019-03-18 12:26:09 PDT
<rdar://problem/48988797>
Comment 41 Myles C. Maxfield 2019-03-18 14:31:05 PDT
Committed r243105: <https://trac.webkit.org/changeset/243105>